FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107261701.p0.git.6665cae.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107261701.p0.git.6665cae.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6665cae OS_GIT_VERSION=4.7.0-202107261701.p0.git.6665cae.assembly.stream-6665cae SOURCE_DATE_EPOCH=1610739771 SOURCE_GIT_COMMIT=6665cae3374c18d466f11c9e0b8e41a61fcb0819 SOURCE_GIT_TAG=6665cae3 SOURCE_GIT_URL=https://github.com/openshift/cluster-bootstrap 
WORKDIR /go/src/github.com/openshift/cluster-bootstrap
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-bootstrap
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.Version=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" ./cmd/cluster-bootstrap

FROM openshift/ose-base:v4.7.0.20210726.171025
ENV __doozer=update BUILD_RELEASE=202107261701.p0.git.6665cae.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107261701.p0.git.6665cae.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6665cae OS_GIT_VERSION=4.7.0-202107261701.p0.git.6665cae.assembly.stream-6665cae SOURCE_DATE_EPOCH=1610739771 SOURCE_GIT_COMMIT=6665cae3374c18d466f11c9e0b8e41a61fcb0819 SOURCE_GIT_TAG=6665cae3 SOURCE_GIT_URL=https://github.com/openshift/cluster-bootstrap 
COPY --from=builder /go/src/github.com/openshift/cluster-bootstrap/cluster-bootstrap /
ENTRYPOINT ["/cluster-bootstrap"]
COPY manifests /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-bootstrap" \
        com.redhat.component="ose-cluster-bootstrap-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-apiserver" \
        release="202107261701.p0.git.6665cae.assembly.stream" \
        io.openshift.build.commit.id="6665cae3374c18d466f11c9e0b8e41a61fcb0819" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-bootstrap" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-bootstrap/commit/6665cae3374c18d466f11c9e0b8e41a61fcb0819" \
        version="v4.7.0"

